"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.backgroundUpload = void 0;
var _reactNative = require("react-native");
var _Main = require("../Main");
var _ = require(".");
const CompressEventEmitter = new _reactNative.NativeEventEmitter(_Main.Compressor);
const backgroundUpload = async (url, fileUrl, options, onProgress) => {
  const uuid = (0, _.uuidv4)();
  let subscription;
  try {
    if (onProgress) {
      subscription = CompressEventEmitter.addListener('uploadProgress', event => {
        if (event.uuid === uuid) {
          onProgress(event.data.written, event.data.total);
        }
      });
    }
    if (_reactNative.Platform.OS === 'android' && fileUrl.includes('file://')) {
      fileUrl = fileUrl.replace('file://', '');
    }
    const result = await _Main.Compressor.upload(fileUrl, {
      uuid,
      method: options.httpMethod,
      headers: options.headers,
      url
    });
    return result;
  } finally {
    // @ts-ignore
    if (subscription) {
      subscription.remove();
    }
  }
};
exports.backgroundUpload = backgroundUpload;
//# sourceMappingURL=Uploader.js.map