import Video from './Video';
import type { VideoCompressorType } from './Video';
import Audio from './Audio';
import Image from './Image';
import { getDetails, uuidv4, generateFilePath, getRealPath, getVideoMetaData, getFileSize, backgroundUpload, createVideoThumbnail, download, clearCache } from './utils';
export { Video, Audio, Image, backgroundUpload, download, getDetails, uuidv4, generateFilePath, getRealPath, getVideoMetaData, createVideoThumbnail, clearCache, getFileSize, };
export type { VideoCompressorType };
declare const _default: {
    Video: VideoCompressorType;
    Audio: import("./utils").AudioType;
    Image: {
        compress(value: string, options?: import("./Image").CompressorOptions | undefined): Promise<string>;
    };
    getDetails: (mediaFullPath: string, extesnion?: "mp3" | "mp4") => Promise<any>;
    uuidv4: () => string;
    generateFilePath: any;
    getRealPath: any;
    getVideoMetaData: any;
    getFileSize: (filePath: string) => Promise<string>;
    backgroundUpload: (url: string, fileUrl: string, options: import("./utils").FileSystemUploadOptions, onProgress?: ((writtem: number, total: number) => void) | undefined) => Promise<any>;
    createVideoThumbnail: any;
    clearCache: any;
    download: (fileUrl: string, downloadProgress?: ((progress: number) => void) | undefined, progressDivider?: number | undefined) => Promise<any>;
};
export default _default;
//# sourceMappingURL=index.d.ts.map